summaryrefslogtreecommitdiff
path: root/dev-python/ijson
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/ijson
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/ijson')
-rw-r--r--dev-python/ijson/Manifest1
-rw-r--r--dev-python/ijson/ijson-3.5.0.ebuild37
-rw-r--r--dev-python/ijson/metadata.xml9
3 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/ijson/Manifest b/dev-python/ijson/Manifest
new file mode 100644
index 000000000000..775c6b53ea4b
--- /dev/null
+++ b/dev-python/ijson/Manifest
@@ -0,0 +1 @@
+DIST ijson-3.5.0.tar.gz 68658 BLAKE2B 5ab77cdc9f45b1e87a0ee5d56d19505b927da71fae0c7017fb44f2a5be47a4ccb1f8ba74590bd4adec89eef3ec4cb8e02ae137891f23088ab0df36fff9dc5454 SHA512 2a50ce4837ced0dc026c477c1efccb021795839b26b1d2bebfafafba8109d424a1aac3b374f6c122f116b3f419cab77c22c5a5fa5ffeacf4281ae9677cd46a41
diff --git a/dev-python/ijson/ijson-3.5.0.ebuild b/dev-python/ijson/ijson-3.5.0.ebuild
new file mode 100644
index 000000000000..80f3eda4a1c5
--- /dev/null
+++ b/dev-python/ijson/ijson-3.5.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Iterative JSON parser with a Pythonic interface"
+HOMEPAGE="
+ https://github.com/ICRAR/ijson/
+ https://pypi.org/project/ijson/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 ~ppc64 x86"
+
+DEPEND="
+ dev-libs/yajl:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export IJSON_BUILD_YAJL2C=1
+
+python_test() {
+ rm -rf ijson || die
+ epytest
+}
diff --git a/dev-python/ijson/metadata.xml b/dev-python/ijson/metadata.xml
new file mode 100644
index 000000000000..acfe7097587e
--- /dev/null
+++ b/dev-python/ijson/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>